CairoSurfaceType
CairoFontFace::__construct
Cairo
PHP Manual

# The CairoFontFace class

(PECL cairo >= 0.1.0)

## Introduction

CairoFontFace abstract class represents a particular font at a particular weight, slant, and other characteristic but no transformation or size.

Note: This class can not be instantiated directly, it is created by CairoContext::getFontFace() or cairo_scaled_font_get_font_face().

## Class synopsis

CairoFontFace {
/* Methods */
public __construct ( void )
public int getType ( void )
public int status ( void )
}

## Table of Contents

- CairoFontFace::__construct — Creates a new CairoFontFace object
- CairoFontFace::getType — Retrieves the font face type
- CairoFontFace::status — Check for CairoFontFace errors

CairoSurfaceType
CairoFontFace::__construct
Cairo
PHP Manual